## Makefile.am -- Process this file with automake to produce Makefile.in

EXTRA_DIST = native \
             *.i *.h *.cpp \
             CLcom.def CLcom.idl \
             CLcom.sln CLcom.vcproj \
             *.properties \
             CLcom.rc CLcom.rgs \
             regTemplate.rgs

MAINTAINERCLEANFILES = *.suo Makefile.in

DISTCLEANFILES =

MOSTLYCLEANFILES = *.plg *.ncb *.opt *.csproj.user

swig:
	swig -xmllite -Wall -DSWIGCOM -Icom -I../ -I../../src/ -c++ -xml -o _clucene_binding.cpp ../clucene.i
	SwigXmlToCOM.exe _clucene_binding.xml
